Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class ClosureMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ClosureMetaMethod

All Implemented Interfaces:
  ClosureInvokingMethod

    public class ClosureMetaMethod
    extends MetaMethod

A MetaMethod that accepts a closure in the constructor which is invoked when the MetaMethod is called. The delegate of the closure is set to the instance that the MetaMethod is invoked on when called.

Authors:
  Graeme Rocher

Since:
  1.5

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ClosureMetaMethod(java.lang.String name, Closure c, CachedMethod doCall)`
`ClosureMetaMethod(java.lang.String name, java.lang.Class declaringClass, Closure c, CachedMethod doCall)`

Method Summary
`static ClosureMetaMethod` | `copy(ClosureMetaMethod closureMethod)`
`static java.util.List` | `createMethodList(java.lang.String name, java.lang.Class declaringClass, Closure closure)`
`Closure` | `getClosure()` Retrieves the closure that is invoked by this MetaMethod
`CachedClass` | `getDeclaringClass()`
`CachedMethod` | `getDoCall()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getReturnType()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureMetaMethod

    public ClosureMetaMethod(java.lang.String name, Closure c, CachedMethod doCall)

### ClosureMetaMethod

    public ClosureMetaMethod(java.lang.String name, java.lang.Class declaringClass, Closure c, CachedMethod doCall)

Method Detail

### copy

    public static ClosureMetaMethod copy(ClosureMetaMethod closureMethod)

### createMethodList

    public static java.util.List createMethodList(java.lang.String name, java.lang.Class declaringClass, Closure closure)

### getClosure

    public Closure getClosure()

  Retrieves the closure that is invoked by this MetaMethod
  Returns:
    The closure

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getDoCall

    public CachedMethod getDoCall()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getReturnType

    public java.lang.Class getReturnType()

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

Groovy Documentation